Thread ファイルをリストする
発信者の添付ファイルや Agent アーティファクトなど、Thread に添付されたファイルをリストします。
GET
/threads/{threadId}/files発信者の添付ファイルや Agent アーティファクトなど、Thread に添付されたファイルをリストします。
Authorization
publicApiBearer AuthorizationBearer <token>
Authorization: Bearer mst_... を使用します。 API token はアカウントを識別しますが、スコープは持ちません。
In: header
Path Parameters
threadId*string
Thread 作成時に返された Thread ID。v1 ID は prefix のない ULID です。
Match
^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$Format
ulidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/threads/01J00000000000000000000009/files"{ "files": [ { "committed": true, "createdAt": "2026-05-19T00:02:00.000Z", "id": "01J0000000000000000000000J", "kind": "attachment", "mimeType": "text/plain", "name": "brief.txt", "size": 19 } ]}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}